%global srcname terminal
%global appname io.elementary.terminal
%global oldname org.pantheon.terminal

Name:           pantheon-terminal
Summary:        The terminal of the 21st century
Version:        0.4.3
Release:        7%{?dist}
License:        LGPLv3

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# Add patch to fix compilation with newer vala versions
Patch0:         00-vala-039-fix.patch

# Add patch to fix compilation with newer vte291
Patch1:         01-fix-vte-052-build.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.22.0

BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.39
BuildRequires:  pkgconfig(granite) >= 0.3.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.10
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(vte-2.91)


%description
A super lightweight, beautiful, and simple terminal. It's designed to be
setup with sane defaults and little to no configuration. It's just a
terminal, nothing more, nothing less.


%prep
%autosetup -n %{srcname}-%{version} -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang %{name}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{oldname}.desktop

desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/open-pantheon-terminal-here.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING

%{_bindir}/%{name}

%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/open-pantheon-terminal-here.desktop
%{_datadir}/applications/%{oldname}.desktop
%{_datadir}/glib-2.0/schemas/%{oldname}.gschema.xml
%{_datadir}/%{name}/


%changelog
* Tue May 01 2018 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-7
- Add patch to fix build with newer vte291.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-5
- Fix compilation with newer vala versions.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-4
- Rebuild for granite soname bump.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3.

* Tue May 16 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2.

* Sun May 07 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1.

* Sun Mar 19 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.4-1
- Update to version 0.4.0.4.
- Use the standard application icon instead of a bundled one.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.3-4
- Rename icon to match .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.3-3
- Include icon to fix appstream metadata generation.

* Wed Jan 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.3-2
- Fix License tag.

* Wed Jan 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.3-1
- Update to version 0.4.0.3.

* Tue Jan 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-2
- Clean up spec file.

* Mon Oct 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-1
- Update to version 0.4.0.2.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-5
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-4
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-3
- Spec file cosmetics.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-2
- Add -fPIC compiler switch to fix build.

* Thu Aug 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-1
- Update to version 0.4.


